Create phone number
curl --request POST \
--url https://app.freyavoice.ai/api/v2/phone-numbers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"number": "+14155551234",
"friendlyName": "Main Support Line",
"workspaceId": "550e8400-e29b-41d4-a716-446655440000",
"userId": "550e8400-e29b-41d4-a716-446655440001",
"config": {
"inboundAgentId": "550e8400-e29b-41d4-a716-446655440002",
"outboundAgentId": "550e8400-e29b-41d4-a716-446655440003"
}
}
'import requests
url = "https://app.freyavoice.ai/api/v2/phone-numbers"
payload = {
"number": "+14155551234",
"friendlyName": "Main Support Line",
"workspaceId": "550e8400-e29b-41d4-a716-446655440000",
"userId": "550e8400-e29b-41d4-a716-446655440001",
"config": {
"inboundAgentId": "550e8400-e29b-41d4-a716-446655440002",
"outboundAgentId": "550e8400-e29b-41d4-a716-446655440003"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
number: '+14155551234',
friendlyName: 'Main Support Line',
workspaceId: '550e8400-e29b-41d4-a716-446655440000',
userId: '550e8400-e29b-41d4-a716-446655440001',
config: {
inboundAgentId: '550e8400-e29b-41d4-a716-446655440002',
outboundAgentId: '550e8400-e29b-41d4-a716-446655440003'
}
})
};
fetch('https://app.freyavoice.ai/api/v2/phone-numbers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"message": "<string>",
"result": {
"phoneNumber": {
"id": "<string>",
"number": "<string>",
"workspaceId": "<string>",
"userId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"friendlyName": "<string>",
"config": {
"capabilities": {
"voice": "<string>",
"sms": true
},
"voiceConfig": "<string>",
"messagingConfig": "<string>",
"emergencyCalls": true,
"inboundAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"outboundAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"originationUri": "<string>",
"sipInbound": {
"enabled": true
},
"sipOutbound": {
"enabled": true,
"endpoint": "<string>",
"port": 32768,
"username": "<string>",
"password": "<string>",
"fromDomain": "<string>",
"transportProtocol": "UDP",
"secureMedia": true,
"headers": [
{
"key": "<string>",
"value": "<string>"
}
]
},
"routingPrefix": "<string>",
"defaultCountry": "<string>"
},
"inboundAgentName": "<string>",
"outboundAgentName": "<string>",
"inboundAgentEntityType": "<string>",
"outboundAgentEntityType": "<string>",
"inboundAgentWorkflowId": "<string>",
"outboundAgentWorkflowId": "<string>"
}
}
}
}{
"success": false,
"data": {
"message": "<string>",
"result": "<unknown>"
}
}{
"success": false,
"data": {
"message": "<string>",
"result": "<unknown>"
}
}{
"success": false,
"data": {
"message": "<string>",
"result": "<unknown>"
}
}{
"success": false,
"data": {
"message": "<string>",
"result": "<unknown>"
}
}Phone Numbers
Create phone number
Registers a new phone number with optional agent configuration for inbound and outbound calls.
POST
/
phone-numbers
Create phone number
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json